{ globtyps (PC) -- global types for portable tools }

TYPE
 character = 0..255;  { byte-sized. ascii + other stuff }
 sstring = super packed array [1..*] of character;
 string = sstring(MAXSTR);
 bigstring = sstring(BIGSTR);
 smlstring = sstring(SMLSTR);
 filedesc = IOERROR..MAXOPEN;
 txtfilp  = ^text;
 txtbufp  = ^lstring(255);
 ioblock = record { to keep track of open files }
  filevar : txtfilp;
  mode : IOERROR..IOWRITE;
  buf : txtbufp;
  cpos : 0..255;
 end;
 outptype = (STDCONS,STDPRT,STDFILE);
 parmptr  = ^parmtype;
 parmstr  = ^superst;
 superst  = super packed array [1..*] of character;
 parmtype = record { linked list of command line parameters }
  parm : parmstr;
  next : parmptr;
 end;
